Information Exposure Affecting com.brianfromoregon:caliper-ci Open this link in a new tab package, versions [0,]


0.0
medium
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-COMBRIANFROMOREGON-451619

  • published

    16 Jul 2019

  • disclosed

    11 Jul 2019

  • credit

    David Fiser of Trend Micro Nebula

Introduced: 11 Jul 2019

CWE-200 Open this link in a new tab

How to fix?

There is no fixed version for com.brianfromoregon:caliper-ci.

Overview

com.brianfromoregon:caliper-ci is a Jenkins Plugin.

Affected versions of this package are vulnerable to Information Exposure. The plugin stores credentials unencrypted in job config.xml files on the Jenkins master. These credentials can be viewed by users with Extended Read permission, or access to the master file system.